Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.sqisign
Class Dim2Id2IsoClapotis.Result

    java.lang.Object
      org.bouncycastle.pqc.crypto.sqisign.Dim2Id2IsoClapotis.Result

Enclosing class:
  org.bouncycastle.pqc.crypto.sqisign.Dim2Id2IsoClapotis

public static final class Dim2Id2IsoClapotis.Result
extends java.lang.Object

Bundled outputs: mirrors the C signature's eight output-by-pointer parameters.

Field Summary
`org.bouncycastle.pqc.crypto.sqisign.EcBasis` | `basis`
`QuatAlg.Elem` | `beta1`
`QuatAlg.Elem` | `beta2`
`org.bouncycastle.pqc.crypto.sqisign.EcCurve` | `codomain`
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `d1`
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `d2`
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `u`
`org.bouncycastle.pqc.crypto.sqisign.Ibz` | `v`

Constructor Summary
`Dim2Id2IsoClapotis.Result()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### beta1

    public final QuatAlg.Elem beta1

### beta2

    public final QuatAlg.Elem beta2

### u

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz u

### v

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz v

### d1

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz d1

### d2

    public final org.bouncycastle.pqc.crypto.sqisign.Ibz d2

### codomain

    public final org.bouncycastle.pqc.crypto.sqisign.EcCurve codomain

### basis

    public final org.bouncycastle.pqc.crypto.sqisign.EcBasis basis

Constructor Detail

### Dim2Id2IsoClapotis.Result

    public Dim2Id2IsoClapotis.Result()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD